# stalled. checked at 13.01.2009
Name: cdcollect
Version: 0.6.0
Release: alt4

Summary: CD/DVD catalog application for GNOME

Group: Office
License: GPL
Url: http://cdcollect.sourceforge.net/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://prdownloads.sf.net/%name/%name-%version.tar.bz2

# Typical environment for GNOME program
Requires(post): GConf2
Requires(post,postun): scrollkeeper
BuildPreReq: libGConf2-devel
BuildPreReq: desktop-file-utils
BuildPreReq: menu-devel

# Automatically added by buildreq on Tue Sep 08 2009
BuildRequires: GConf gcc-c++ glib2-devel libgnome-sharp mono-data-sqlite mono-mcs perl-XML-Parser

# FIXME: broken buildreq for mono packages?
BuildPreReq: libgtk-sharp2 libgnome-sharp-devel libsqlite3-devel mono-devel

BuildRequires: /proc

%description
CDCollect is a CD/DVD catalog application for gnome 2.16. Its
functionality is similar to the old gtktalog application for gnome 1.4.
It's goal is to be able to catalog your entire CD collection allowing
for searches of your CD/DVD files with a clean and simple interface.

%prep
%setup -q

%build
%configure --disable-schemas-install --disable-scrollkeeper
%make_build

%install
# overwrite libdir for fix x86_64 build
%makeinstall_std cdcollectlibdir=%_libdir/%name
# fix for user cdcollectlibdir instead
%__subst "s|/usr/lib|%_libdir|g" %buildroot/%_bindir/%name

%find_lang %name --with-gnome

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%files -f %name.lang
%doc AUTHORS ChangeLog README NEWS
%_bindir/%name
%_libdir/%name/
%_pixmapsdir/*
%_desktopdir/*
%config %_sysconfdir/gconf/schemas/*

%changelog
* Tue Sep 08 2009 Vitaly Lipatov <lav@altlinux.ru> 0.6.0-alt4
- update buildreqs

* Tue Jan 13 2009 Vitaly Lipatov <lav@altlinux.ru> 0.6.0-alt3
- cleanup spec, rebuild package (fix bug #18496)

* Thu Oct 11 2007 Vitaly Lipatov <lav@altlinux.ru> 0.6.0-alt2
- fix build on x86_64

* Thu Oct 11 2007 Vitaly Lipatov <lav@altlinux.ru> 0.6.0-alt1
- initial build for ALT Linux Sisyphus

